Subject: Re: bug#21695: 25.0.50; Change most occurrences of `setq' in Emacs manual to `customize-set-variable'? Really?

From: Gregory Heytings <[email-masked]>
Date: Thu, 09 Sep 2021 07:43:44 +0000

>
> We would determine which variables could actually have a problem.
>
> 1. Get the list of variables that use :set.
>
> 2. For each of those variables, see if it is used in any source file 
> other than the one that contains the defcustom.  A script can do this. 
> Make a list of only those variables.
>
> 3. Now we have a much shorter list.  We could use the whole of that 
> list.
>
> 4. Or we could check some of these variables by hand and see whether we 
> can prove some of them have no real problem.  That could make the list 
> shorter.
>
> 5. After the init files, we add code to check each of those variables. 
> If the current value != the default, set the variable again to the same 
> value using customize-set-variable.
>

Instead of building such a list, is this not something that could be done 
inside Fsetq, by checking whether Fget (sym, Qcustom_set) is non-nil, and 
if so, issue an error/warning?